// Code generated by mockery v2.11.0. DO NOT EDIT.

package mockStorage

import (
	mock "github.com/stretchr/testify/mock"

	testing "testing"
)

type Storage struct {
	mock.Mock
}

func NewStorage(t testing.TB) *Storage {
	mock := &Storage{}

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
